commit:     6b8451cb635d6e5ba17e2b2d448b3b4e487394de
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 27 00:36:31 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 27 00:36:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b8451cb

dev-util/min-cscope: update EAPI 6 -> 8

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/min-cscope/min-cscope-16.1.0-r1.ebuild | 35 +++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/dev-util/min-cscope/min-cscope-16.1.0-r1.ebuild 
b/dev-util/min-cscope/min-cscope-16.1.0-r1.ebuild
new file mode 100644
index 000000000000..5ec2af9a45c7
--- /dev/null
+++ b/dev-util/min-cscope/min-cscope-16.1.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Interactively examine a C program"
+HOMEPAGE="https://sourceforge.net/projects/kscope/";
+SRC_URI="mirror://sourceforge/kscope/${P}.tar.gz"
+S="${WORKDIR}"/${PN}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+DOCS=( AUTHORS README{,.cscope} TODO )
+
+PATCHES=(
+       "${FILESDIR}/${P}-tinfo.patch" # bug #678886
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       echo 'INSTALL(TARGETS min-cscope RUNTIME DESTINATION bin)' \
+               >> src/CMakeLists.txt || die
+}
+
+src_configure() {
+       append-flags -I"${S}"/sort
+
+       cmake_src_configure
+}

Reply via email to